#ifndef CHECK_MEMFREE_H
#define CHECK_MEMFREE_H

#include <iostream>
#include <sstream>
#include <fstream>
#include <limits>

#include <ctype.h>
#include <cstdlib>
#include <unistd.h>
#include <cstring>

#include <sys/time.h>

#include "range.h"
#include "auxiliar.h"

#define MEMINFO_FILE "/proc/meminfo"
#define VERSION "1.0"

struct meminfo {
	ssize_t totalMem;
	ssize_t freeMem;
};
typedef struct meminfo MEMINFO;

int getNum(ifstream *file);
void printVersion();
void printHelp(bool longVersion);

#endif

